Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.converters
Class ConverterUtils

    java.lang.Object
      weka.core.converters.ConverterUtils

All Implemented Interfaces:
  java.io.Serializable

    public class ConverterUtils

extends java.lang.Object
implements java.io.Serializable

Utility routines for the converter package.

Version:
  $Revision 1.0 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  `Serializable`, Serialized Form

Constructor Summary
`ConverterUtils()`

Method Summary
`static void` | `errms(java.io.StreamTokenizer tokenizer, java.lang.String theMsg)` Throws error message with line number and last token read.
`static void` | `getFirstToken(java.io.StreamTokenizer tokenizer)` Gets token, skipping empty lines.
`static void` | `getToken(java.io.StreamTokenizer tokenizer)` Gets token.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterUtils

    public ConverterUtils()

Method Detail

### getFirstToken

    public static void getFirstToken(java.io.StreamTokenizer tokenizer)
                              throws java.io.IOException

  Gets token, skipping empty lines.

  Parameters:
    `tokenizer` - the stream tokenizer
  Throws:
    `java.io.IOException` - if reading the next token fails

### getToken

    public static void getToken(java.io.StreamTokenizer tokenizer)
                         throws java.io.IOException

  Gets token.

  Parameters:
    `tokenizer` - the stream tokenizer
  Throws:
    `java.io.IOException` - if reading the next token fails

### errms

    public static void errms(java.io.StreamTokenizer tokenizer,
                             java.lang.String theMsg)
                      throws java.io.IOException

  Throws error message with line number and last token read.

  Parameters:
    `theMsg` - the error message to be thrown
    `tokenizer` - the stream tokenizer
  Throws:
    `IOExcpetion` - containing the error message
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD